## django-yarnpkg 6.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-yarnpkg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-yarnpkg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-yarnpkg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-yarnpkg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-yarnpkg 6.0.3

=== debian/changelog ===
django-yarnpkg (6.0.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 16 Nov 2022 11:02:28 +0000

django-yarnpkg (6.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1023508)

 -- Edward Betts <edward@4angle.com>  Sun, 06 Nov 2022 16:00:43 +0000

=== debian/control ===
Source: django-yarnpkg
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://edugit.org/AlekSIS/libs/django-yarnpkg
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-yarnpkg
Vcs-Git: https://salsa.debian.org/python-team/packages/django-yarnpkg.git

Package: python3-django-yarnpkg
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, yarnpkg
Description: Integrate Django with yarnpkg
 Easy way to use Yarnpkg with your Django project.
 .
 Yarn packages are specified in the Django settings file.

## django-yarnpkg 6.1.0

=== debian/changelog ===
django-yarnpkg (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Install upstream changelog.

 -- Edward Betts <edward@4angle.com>  Tue, 21 Feb 2023 06:25:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://edugit.org/AlekSIS/libs/django-yarnpkg
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-yarnpkg
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-yarnpkg.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-yarnpkg

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf django_yarnpkg.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
https://edugit.org/AlekSIS/libs/django-yarnpkg/-/tags .*/django-yarnpkg-(\d\S+)\.tar\.gz

## django-yarnpkg 6.1.2

=== debian/changelog ===
django-yarnpkg (6.1.2-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Cope with recent GitLab changes.
  * Use pybuild-plugin-pyproject.
  * Simplify a debhelper override.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 13:07:29 +0000

django-yarnpkg (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Wed, 06 Mar 2024 11:25:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-yarnpkg

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

## django-yarnpkg 6.1.3

=== debian/changelog ===
django-yarnpkg (6.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 17:44:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="pagemangle=s!"name":"(v?@ANY_VERSION@)"!<a href="https://edugit.org/AlekSIS/libs/django-yarnpkg/-/archive/$1/@PACKAGE@-$1.tar.gz">!g" \
  https://edugit.org/api/v4/projects/AlekSIS%2Flibs%2Fdjango-yarnpkg/repository/tags \
  https://edugit.org/AlekSIS/libs/django-yarnpkg/.*/@PACKAGE@-v?@ANY_VERSION@.tar.gz
